Update to go 1.14 02/70502/1
authorCédric Ollivier <cedric.ollivier@orange.com>
Tue, 7 Jul 2020 08:29:21 +0000 (10:29 +0200)
committerCédric Ollivier <cedric.ollivier@orange.com>
Tue, 7 Jul 2020 08:29:21 +0000 (10:29 +0200)
https://build.opnfv.org/ci/job/functest-kubernetes-healthcheck-docker-build-amd64-master/116/console

Change-Id: I8559ee71fe05682792728a62baa628c8199dfdd6
Signed-off-by: Cédric Ollivier <cedric.ollivier@orange.com>
ansible/site.yml
build.sh
docker/core/Dockerfile

index f9e2c74..96d44f9 100644 (file)
@@ -10,7 +10,7 @@
           - repo: _
             dport:
             container: golang
-            tag: 1.13-alpine3.12
+            tag: 1.14-alpine3.12
         steps:
           - name: build opnfv/functest-kubernetes-core
             containers:
index f69549d..c5f8eeb 100644 (file)
--- a/build.sh
+++ b/build.sh
@@ -34,7 +34,7 @@ done
 find . -name Dockerfile -exec git checkout {} +
 
 find . -name Dockerfile -exec sed -i \
-    -e "s|golang:1.13-alpine3.12|arm64v8/golang:1.13-alpine3.12|g" {} +
+    -e "s|golang:1.14-alpine3.12|arm64v8/golang:1.14-alpine3.12|g" {} +
 find . -name Dockerfile -exec sed -i \
     -e "s|opnfv/functest-kubernetes-core|\
 ${repo}/functest-kubernetes-core:arm64-latest|g" {} +
@@ -51,7 +51,7 @@ for dir in ${arm64_dirs}; do
 done
 [ ! -z "${arm64_dirs}" ] &&
     (docker rmi "${repo}/functest-kubernetes-core:arm64-latest" \
-        arm64v8/golang:1.13-alpine3.12 || true)
+        arm64v8/golang:1.14-alpine3.12 || true)
 find . -name Dockerfile -exec git checkout {} +
 
 exit $?
index 123f866..1ae24dd 100644 (file)
@@ -1,4 +1,4 @@
-FROM golang:1.13-alpine3.12
+FROM golang:1.14-alpine3.12
 
 ARG BRANCH=master
 ARG OPENSTACK_TAG=master